# class Object::MissingSourceFile

### Constants

REGEXPS

### Public Instance Methods

is_missing?(location) click to toggle source

    # File lib/active_support/core_ext/load_error.rb, line 18
    def is_missing?(location)
      location.sub(%r\.rb$/, '') == path.sub(%r\.rb$/, '')
    end

path() click to toggle source

    # File lib/active_support/core_ext/load_error.rb, line 9
    def path
      @path ||= begin
        REGEXPS.find do |regex|
          message =~ regex
        end
        $1
      end
    end